%define realname apc (Alternative PHP Cache)
%define modname apc
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 99_%{modname}.ini

%define _requires_exceptions pear(

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	3.0.13
Release:	%mkrel 2
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/APC
Source0:	http://pecl.php.net/get/APC-%{version}.tar.bz2
Source1:	apc.ini
BuildRequires:  php4-devel
Conflicts:	php4-afterburner php4-mmcache
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
APC was conceived of to provide a way of boosting the performance
of PHP on heavily loaded sites by providing a way for scripts to
be cached in a compiled state, so that the overhead of parsing and
compiling can be almost completely eliminated. There are
commercial products which provide this functionality, but they are
neither open-source nor free. Our goal was to level the playing
field by providing an implementation that allows greater
flexibility and is universally accessible. 

We also wanted the cache to provide visibility into it's own
workings and those of PHP, so time was invested in providing
internal diagnostic tools which allow for cache diagnostics and
maintenance. 

Thus arrived APC. Since we were committed to developing a product
which can easily grow with new version of PHP, we implemented it
as a zend extension, allowing it to either be compiled into PHP or
added post facto as a drop in module. As with PHP, it is available
completely free for commercial and non-commercial use, under the
same terms as PHP itself. 

APC has been tested under PHP 4.0.3, 4.0.3pl1 and 4.0.4. It
currently compiles under Linux and FreeBSD. Patches for ports to
other OSs/ PHP versions are welcome. 

NOTE!: %{name} has to be loaded last, very important!

%package	admin
Summary:	Web admin GUI for %{realname}
Group:		Development/PHP
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	apache-mod_php4
Requires:	%{name}

%description	admin
This package contains a Web admin GUI for %{realname}.

To access the web GUI please open up your favourite web browser 
and point to http://localhost/admin/%{name}/

%prep

%setup -q -n APC-%{version}

cp %{SOURCE1} %{inifile}

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix} \
    --enable-apc-mmap

%make
cp -p modules/apc.so _apc-mmap.so_
make clean

%configure2_5x \
    --enable-%{modname}=shared,%{_prefix} \
    --enable-apc-sem

%make
cp -p modules/apc.so apc-sem.so
mv _apc-mmap.so_ apc-mmap.so

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d
install -d %{buildroot}/var/www/html/admin/%{name}
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php4.d/%{inifile}
install -m0755 apc-mmap.so %{buildroot}%{_libdir}/php4/extensions/
install -m0755 apc-sem.so %{buildroot}%{_libdir}/php4/extensions/

cat > %{name}.conf << EOF
<Directory "/var/www/html/admin/%{name}/">
    Order deny,allow
    Deny from all
    allow from 127.0.0.1
</Directory>
EOF

install -m0644 %{name}.conf %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/

install -m0644 apc.php %{buildroot}/var/www/html/admin/%{name}/
ln -s apc.php %{buildroot}/var/www/html/admin/%{name}/index.php

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi


%post admin
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun admin
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL NOTICE TODO
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/apc-mmap.so
%attr(0755,root,root) %{_libdir}/php4/extensions/apc-sem.so

%files admin
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir /var/www/html/admin/%{name}
/var/www/html/admin/%{name}/*


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.13-2mdv2007.0
+ Revision: 132253
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 28 2007 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.13-1mdv2007.1
+ Revision: 127338
- 3.0.13

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.12p2-2mdv2007.1
+ Revision: 123753
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.12p2-1mdv2007.1
+ Revision: 97534
- Import php4-apc



* Sun Sep 17 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.12p2-1
- 3.0.12p2

* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.11-1
- 3.0.11
- rebuilt for php-4.4.4
- new apc.ini

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.10-3mdv2007.0
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.10-2mdk
- rebuild

* Wed Mar 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.10-1mdk
- 3.0.10

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.8-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:3.0.8-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Thu Sep 29 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_3.0.8-1mdk
- 3.0.8
- provide both mmap and ipc based lock enabled builds
- added the web admin sub package

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_2.0.4-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_2.0.4-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_2.0.4-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.0.4-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.0.4-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.0.4-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_2.0.4-1mdk
- rebuild for php 4.3.10

* Wed Dec 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_2.0.4-2mdk
- make it work

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_2.0.4-1mdk
- rebuild for php 4.3.9

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.0.4-2mdk
- make it work again...

* Sat Jul 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.0.4-1mdk
- 2.0.4

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_2.0.3-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0.3-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_2.0.3-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0.3-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_2.0.3-1mdk
- 2.0.3
- fix url
- built for php 4.3.6

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.0-2mdk
- rebuilt for re-upload

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_2.0-1mdk
- built for php 4.3.4

* Fri Sep 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.0-3mdk
- rebuilt

* Fri Sep 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.0-2mdk
- use correct url

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_2.0-1mdk
- built for php 4.3.3
- oops, it's either mmap or sem ;)
- misc spec file fixes

* Fri Aug 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.0-1mdk
- 2.0
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_2.0-0.20030603.1mdk
- update from CVS
- built for 4.3.2

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_2.0-0.20030218.1mdk
- update from CVS
- fix the php versioning

* Mon Feb 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20030217.1mdk
- update from CVS
- updated S1
- run the brute force tests and save the results in docs dir

* Sat Feb 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-0.20030214.1mdk
- brand new spanking version!
- new license
- updated S1
- conflicts with php-mmcache
- misc spec file fixes

* Wed Feb 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.7mdk
- fix a silly bug in the tmpwatch invocation

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.6mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.5mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.4mdk
- added a tmpwatch command so that the cache gets cleared if needed on 
  a daily basis, otherwise bad things might happen if not enough space 
  availible in /var/cache/apc ;)

* Sun Jan 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.3mdk
- fix S1
- install apcinfo.php into webspace (go to http://localhost/apcinfo.php)

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.2mdk
- built against php-4.3.0
- follow the spec file design as in main

* Tue Nov 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.1.0-0.20020722.1mdk
- fix version (duh!)
- fix description
- fix the README file
- fix dir perms on /var/cache/apc

* Sat Sep 21 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.3-0.20020722.2mdk
- added the %{_sysconfdir}/apc.ini file which has to be appended to 
  the %{_sysconfdir}/php4.d.ini file
- can't use %%post or %%preun (yet)
- Conflicts:	php-afterburner
- added the cache dir

* Fri Sep 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.3-0.20020722.1mdk
- initial cooker contrib
